/**
  *  \file server/serverio.h
  *  \brief Server: I/O primitives
  */
#ifndef C2SERVER_SERVER_SERVERIO_H
#define C2SERVER_SERVER_SERVERIO_H

#include "cpluslib/string.h"
#include "cpluslib/types.h"
#include "server/jsonout.h"

extern uint32_t bytesRead, bytesWritten;

void writeClient(string_t line);
void writeClientTerminator();
bool readClient(string_t& line);

class ServerJsonWriter : public JsonWriter {
 public:
    virtual void writeLine(const string_t& line);
};

#endif
